Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Class J2EETypes

    java.lang.Object
      com.sun.appserv.management.j2ee.J2EETypes

public final class J2EETypes
extends java.lang.Object

See JSR 77.3-1.
Specific extensions to the JSR 77 model include:

- `J2EE_CLUSTER`

See Also:
  `J2EETypesMapper`, `XTypes`

Field Summary
`static java.util.Set` | `ALL_STD` Set consisting of all standard JSR 77 j2eeTypes
`static java.lang.String` | `APP_CLIENT_MODULE`
`static java.lang.String` | `EJB_MODULE`
`static java.lang.String` | `ENTITY_BEAN`
`static java.lang.String` | `J2EE_APPLICATION`
`static java.lang.String` | `J2EE_CLUSTER`
`static java.lang.String` | `J2EE_DOMAIN`
`static java.lang.String` | `J2EE_SERVER`
`static java.lang.String` | `J2EE_TYPE_KEY` The javax.management.ObjectName property key denoting the type of the MBean.
`static java.lang.String` | `JAVA_MAIL_RESOURCE`
`static java.lang.String` | `JCA_CONNECTION_FACTORY`
`static java.lang.String` | `JCA_MANAGED_CONNECTION_FACTORY`
`static java.lang.String` | `JCA_RESOURCE`
`static java.lang.String` | `JDBC_DATA_SOURCE`
`static java.lang.String` | `JDBC_DRIVER`
`static java.lang.String` | `JDBC_RESOURCE`
`static java.lang.String` | `JMS_RESOURCE`
`static java.lang.String` | `JNDI_RESOURCE`
`static java.lang.String` | `JTA_RESOURCE`
`static java.lang.String` | `JVM`
`static java.lang.String` | `MESSAGE_DRIVEN_BEAN`
`static java.lang.String` | `NAME_KEY` The ObjectName property key denoting the name of the MBean.
`static java.lang.String` | `RESOURCE_ADAPTER`
`static java.lang.String` | `RESOURCE_ADAPTER_MODULE`
`static java.lang.String` | `RMI_IIOP_RESOURCE`
`static java.lang.String` | `SERVLET`
`static java.lang.String` | `STATEFUL_SESSION_BEAN`
`static java.lang.String` | `STATELESS_SESSION_BEAN`
`static java.lang.String` | `URL_RESOURCE`
`static java.lang.String` | `WEB_MODULE`

Constructor Summary
`J2EETypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### J2EE_TYPE_KEY

    public static final java.lang.String J2EE_TYPE_KEY

  The javax.management.ObjectName property key denoting the type of the MBean.

  See Also:
    Constant Field Values

### NAME_KEY

    public static final java.lang.String NAME_KEY

  The ObjectName property key denoting the name of the MBean.

  See Also:
    Constant Field Values

### J2EE_DOMAIN

    public static final java.lang.String J2EE_DOMAIN

See Also:
  Constant Field Values

### J2EE_SERVER

    public static final java.lang.String J2EE_SERVER

See Also:
  Constant Field Values

### J2EE_CLUSTER

    public static final java.lang.String J2EE_CLUSTER

See Also:
  Constant Field Values

### J2EE_APPLICATION

    public static final java.lang.String J2EE_APPLICATION

See Also:
  Constant Field Values

### APP_CLIENT_MODULE

    public static final java.lang.String APP_CLIENT_MODULE

See Also:
  Constant Field Values

### EJB_MODULE

    public static final java.lang.String EJB_MODULE

See Also:
  Constant Field Values

### WEB_MODULE

    public static final java.lang.String WEB_MODULE

See Also:
  Constant Field Values

### RESOURCE_ADAPTER_MODULE

    public static final java.lang.String RESOURCE_ADAPTER_MODULE

See Also:
  Constant Field Values

### RESOURCE_ADAPTER

    public static final java.lang.String RESOURCE_ADAPTER

See Also:
  Constant Field Values

### ENTITY_BEAN

    public static final java.lang.String ENTITY_BEAN

See Also:
  Constant Field Values

### STATEFUL_SESSION_BEAN

    public static final java.lang.String STATEFUL_SESSION_BEAN

See Also:
  Constant Field Values

### STATELESS_SESSION_BEAN

    public static final java.lang.String STATELESS_SESSION_BEAN

See Also:
  Constant Field Values

### MESSAGE_DRIVEN_BEAN

    public static final java.lang.String MESSAGE_DRIVEN_BEAN

See Also:
  Constant Field Values

### SERVLET

    public static final java.lang.String SERVLET

See Also:
  Constant Field Values

### JAVA_MAIL_RESOURCE

    public static final java.lang.String JAVA_MAIL_RESOURCE

See Also:
  Constant Field Values

### JCA_RESOURCE

    public static final java.lang.String JCA_RESOURCE

See Also:
  Constant Field Values

### JCA_CONNECTION_FACTORY

    public static final java.lang.String JCA_CONNECTION_FACTORY

See Also:
  Constant Field Values

### JCA_MANAGED_CONNECTION_FACTORY

    public static final java.lang.String JCA_MANAGED_CONNECTION_FACTORY

See Also:
  Constant Field Values

### JDBC_RESOURCE

    public static final java.lang.String JDBC_RESOURCE

See Also:
  Constant Field Values

### JDBC_DATA_SOURCE

    public static final java.lang.String JDBC_DATA_SOURCE

See Also:
  Constant Field Values

### JDBC_DRIVER

    public static final java.lang.String JDBC_DRIVER

See Also:
  Constant Field Values

### JMS_RESOURCE

    public static final java.lang.String JMS_RESOURCE

See Also:
  Constant Field Values

### JNDI_RESOURCE

    public static final java.lang.String JNDI_RESOURCE

See Also:
  Constant Field Values

### JTA_RESOURCE

    public static final java.lang.String JTA_RESOURCE

See Also:
  Constant Field Values

### RMI_IIOP_RESOURCE

    public static final java.lang.String RMI_IIOP_RESOURCE

See Also:
  Constant Field Values

### URL_RESOURCE

    public static final java.lang.String URL_RESOURCE

See Also:
  Constant Field Values

### JVM

    public static final java.lang.String JVM

See Also:
  Constant Field Values

### ALL_STD

    public static final java.util.Set ALL_STD

  Set consisting of all standard JSR 77 j2eeTypes

Constructor Detail

### J2EETypes

    public J2EETypes()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.